/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.330 Revision 1.481
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.330 2008/03/05 20:37:44 dertobi123 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.481 2011/02/19 16:38:24 jer Exp $
4
5 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
6 Stable for HPPA (bug #355439).
7
8*ruby-1.8.7_p334 (19 Feb 2011)
9
10 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
11 Version bump 1.8.7 series, security bug 355439
12
13 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
14 ruby-1.9.2.ebuild:
15 Remove PROVIDE for old-style virtual/ruby per bug 265054.
16
17 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
18 Remove masked ruby 1.8.6 per bug 332597.
19
20 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
21 -ruby-1.9.2_rc2.ebuild:
22 Removing old and vulnerable ebuilds
23
24 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
25 Marking ruby-1.8.7_p302 ppc64 for bug 332957
26
27 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
28 alpha/ia64/s390/sh/sparc stable wrt #332957
29
30*ruby-1.9.2 (24 Aug 2010)
31
32 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
33 metadata.xml:
34 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
35 and x86-fbsd due to a new dependency on rdoc.
36
37 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
38 arm stable, bug #332957
39
40 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
41 ruby-1.8.7_p302.ebuild:
42 x86 stable wrt security bug #332957
43
44 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
45 Stable on amd64 wrt bug #332957
46
47 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
48 Stable for PPC (bug #332957).
49
50 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
51 Stable for HPPA (bug #332957).
52
53*ruby-1.8.7_p302 (21 Aug 2010)
54
55 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
56 +ruby-1.8.7_p302.ebuild:
57 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
58 installation path.
59
60*ruby-1.8.6_p399 (19 Aug 2010)
61
62 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
63 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
64 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
65 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
66 installation path (reported by the x86 team in bug 332597)
67
68*ruby-1.9.2_rc2-r1 (18 Aug 2010)
69
70 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
71 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
72 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
73 the rubygems loading code. Add USE flag for psych.
74
75 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
76 ruby-1.9.2_rc2.ebuild:
77 Remove two keepdir that will try to keep an empty path, closes bug
78 #333163.
79
80 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
81 Marked ~ppc (bug #332593).
82
83 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
84 ruby-1.9.2_rc2.ebuild:
85 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
86
87 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
88 ruby-1.8.7_p299.ebuild:
89 Bump eselect-ruby dependency
90
91 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
92 -ruby-1.9.1_p429.ebuild:
93 Remove ebuild that is not target for unmask anyway.
94
95 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
96 ruby-1.9.2_rc2.ebuild:
97 Try 2 to fix the berkdb 5 issue on 1.9.
98
99 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
100 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
101 ruby-1.9.2_rc2.ebuild:
102 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
103 support for adding new patchsets without bumping the revision for all the
104 old ebuilds as well.
105
106*ruby-1.9.2_rc2 (14 Jul 2010)
107
108 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
109 +ruby-1.9.2_rc2.ebuild:
110 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
111 might cause _further_ build failures as it changed slightly behaviour.
112 You're going to need to rebuild rubygems and then all the packages
113 previously installed after upgrading to this.
114
115 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
116 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
117 -ruby-1.9.1_p376.ebuild:
118 Cleanup old versions.
119
120*ruby-1.9.1_p429 (04 Jul 2010)
121
122 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
123 +ruby-1.9.1_p429.ebuild:
124 Version bump to new 1.9.1 release.
125
126*ruby-1.8.7_p299 (23 Jun 2010)
127
128 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
129 +ruby-1.8.7_p299.ebuild:
130 Version bump.
131
132 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
133 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
134 remove useless comments
135
136 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
137 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
138 ruby-1.9.1_p376.ebuild:
139 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
140 dev.gentoo.org now.
141
142 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
143 ruby-1.9.1_p376.ebuild:
144 Use the correct RUBYLIB.
145
146*ruby-1.8.7_p249-r2 (18 May 2010)
147*ruby-1.8.6_p388-r1 (18 May 2010)
148
149 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
150 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
151 ruby-1.9.1_p376.ebuild, metadata.xml:
152 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
153 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
154 add USE flags for ncurses, readline and libedit, and properly depend on
155 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
156 Emacs versions support ruby-mode themselves and it should be even more
157 updated.
158
159*ruby-1.8.7_p249-r1 (06 May 2010)
160
161 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
162 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
163 309789 by Sune Kloppenborg Jeppesen.
164
165 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
166 ruby-1.8.7_p249.ebuild:
167 Use $PVR instead of $PV in patchset names
168
169 06 May 2010; Alex Legler <a3li@gentoo.org>
170 -files/ruby-1.8.6-memory-leak.diff,
171 -files/ruby18-mkmf-parallel-install.patch,
172 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
173 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
174 Remove old version. Cleanup in files/
175
176*ruby-1.9.1_p376 (01 May 2010)
177
178 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
179 Version bump. Fixes security bugs 296052 and 300468. No longer installs
180 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
181 instead.
182
183 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
184 -ruby-1.8.7_p174-r1.ebuild:
185 Remove vulnerable ebuilds, 300468
186
187 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
188 ruby-1.8.7_p249.ebuild:
189 amd64 stable, security bug 300468
190
191 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
192 ruby-1.8.7_p249.ebuild:
193 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
194
195 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
196 Stable for HPPA (bug #300468).
197
198 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
199 Stable for HPPA (bug #300468).
200
201 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
202 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
203
204 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
205 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
206
207 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
208 ruby-1.8.6_p388.ebuild:
209 stable x86, security bug 300468
210
211 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
212 ruby-1.8.7_p249.ebuild:
213 stable x86, security bug 300468
214
215*ruby-1.8.6_p388 (10 Jan 2010)
216
217 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
218 +ruby-1.8.6_p388.ebuild:
219 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
220 version. The new ebuild also has the fix for bug 168939.
221
222*ruby-1.8.7_p249 (10 Jan 2010)
223
224 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
225 +ruby-1.8.7_p249.ebuild:
226 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
227 version
228
229 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
230 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
231
232*ruby-1.8.7_p248 (25 Dec 2009)
233
234 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
235 Version bump
236
237 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
238 Remove old version.
239
240 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
241 Remove old version.
242
243 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
244 ia64/s390/sh stable wrt #288699
245
246 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
247 stable sparc, bug 288699
248
249 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
250 arm stable, bug #288699
251
252 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
253 amd64/x86 stable, bug #288699
254
255 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
256 ruby-1.8.7_p174-r1.ebuild:
257 Stable on alpha, bug #288699
258
259 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
260 ppc stable #288699
261
262 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
263 Stable for HPPA (bug #288699).
264
265 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
266 Marked ~hppa too.
267
268*ruby-1.8.7_p174-r1 (06 Oct 2009)
269
270 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
271 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
272 eselect-ruby cleanup feature.
273
274*ruby-1.9.1_p243 (09 Sep 2009)
275
276 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
277 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
278 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
279 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
280 -files/ruby19-rubygems-proxy.patch,
281 -files/ruby-1.9.1_p129-parallelmake.patch,
282 -files/ruby19-mkmf-parallel-install.patch:
283 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
284 168939. Cleaning up old patches.
285
286*ruby-1.8.6_p383 (20 Aug 2009)
287
288 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
289 Patchlevel bump.
290
291 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
292 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
293 ruby-1.9.1_p129-r1.ebuild:
294 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
295
296 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
297 Removing vulnerable ebuild, bug 273213.
298
299 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
300 Marking ruby-1.8.6_p369 ppc for bug 273213
301
302 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
303 ruby-1.9.1_p129-r1.ebuild:
304 Prepend our library path instead of overwriting it during src_install.
305 Thanks to the reporter of bug #274824.
306
307*ruby-1.8.7_p174 (18 Jun 2009)
308
309 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
310 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
311 Replacing 187_p173 with _p174 because of a regression. Unifying the
312 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
313 patchsets.
314
315 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
316 Marking ruby-1.8.6_p369 ppc64 for bug 273213
317
318 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
319 arm/ia64/s390/sh/sparc stable wrt #273213
320
321 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
322 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
323 Removing old version, minor cleanup
324
325 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
326 -files/ruby-1.8.6-openssl.patch,
327 -files/ruby-1.8.6-shortname_constants.patch,
328 -files/ruby-1.8.6_p111-r13657.patch,
329 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
330 Removing vulnerable old Ruby version and stale patches, bug 274108.
331
332 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
333 ruby-1.8.6_p369.ebuild:
334 Stable on alpha, bug #273213
335
336 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
337 Stable for HPPA (bug #273213).
338
339 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
340 ruby-1.8.6_p369.ebuild:
341 stable x86, security bug 273213
342
343 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
344 amd64 stable, security bug 273213.
345
346*ruby-1.8.7_p173 (10 Jun 2009)
347*ruby-1.8.6_p369 (10 Jun 2009)
348
349 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
350 +ruby-1.8.7_p173.ebuild:
351 Version bumps for bug #273213.
352
353*ruby-1.9.1_p129-r1 (27 May 2009)
354
355 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
356 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
357 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
358 +files/ruby-1.9.1_p129-parallelmake.patch:
359 Revision bump, add patches 1) to make Ruby behave more similarly between
360 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
361 extensions (undefined symbols in them will cause abort at runtime 3) to
362 remove a concurrency issue when building the dl extension that could
363 result in a broken dl.so.
364
365 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
366 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
367 Don't block rdoc-2 or later (which may enter Portage one day as it's
368 needed by some Rakefiles).
369
370 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
371 ruby-1.9.1_p129.ebuild:
372 Add ~x86-fbsd keyword.
373
374 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
375 keyword ~sparc-fbsd, bug #252315
376
377*ruby-1.9.1_p129 (15 May 2009)
378
379 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
380 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
381 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
382 included in every release.
383
384 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
385 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
386 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
387 ruby-1.8.7_p160.ebuild:
388 Removing vulnerable versions (#268515), fixing license (#233747).
389
390 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
391 Stable for HPPA (bug #268515).
392
393 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
394 Adapting rubygems notice.
395
396 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
397 amd64 stable, bug #268515.
398
399 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
400 arm/ia64/s390/sh/sparc stable wrt #268515
401
402 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
403 ruby-1.8.6_p368.ebuild:
404 stable x86, security bug 268515
405
406 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
407 ruby-1.8.6_p368.ebuild:
408 Stable on alpha, bug #268515
409
410 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
411 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
412
413*ruby-1.8.7_p160 (07 May 2009)
414*ruby-1.8.6_p368 (07 May 2009)
415
416 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
417 +ruby-1.8.7_p160.ebuild:
418 Version bump as per secbug 268515. NB: These are the first ebuilds that
419 no longer use ruby-config.
420
421*ruby-1.9.1-r1 (03 Apr 2009)
422*ruby-1.8.7_p72-r11 (03 Apr 2009)
423*ruby-1.8.6_p287-r13 (03 Apr 2009)
424
425 03 Apr 2009; Alex Legler <a3li@gentoo.org>
426 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
427 +files/ruby18-mkmf-parallel-install.patch,
428 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
429 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
430 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
431 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
432 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
433 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
434 happy.
435
436*ruby-1.9.1 (21 Mar 2009)
437
438 21 Mar 2009; Alex Legler <a3li@gentoo.org>
439 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
440 +ruby-1.9.1.ebuild:
441 Adding Ruby 1.9.1 for preliminary testing
442
443 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
444 ruby-1.8.6_p287-r12.ebuild:
445 Marked ~ppc for bug #252315.
446
447 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
448 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
449 bug 261982.
450
451 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
452 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
453 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
454 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
455 Cleanup
456
457*ruby-1.8.7_p72-r10 (07 Mar 2009)
458
459 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
460 +ruby-1.8.7_p72-r10.ebuild:
461 Add a revision of ruby 1.8.7 using eselect ruby.
462
463 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
464 ~mips keyworded, bug #252315.
465
466 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
467 ruby-1.8.6_p287-r5.ebuild:
468 ppc stable, bug #260006
469
470 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
471 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
472
473 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
474 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
475 Fixing Tk USE flag test, bug 258893.
476
477 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
478 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
479
480 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
481 ruby-1.8.6_p287-r5.ebuild:
482 amd64 stable wrt security bug #260006
483
484 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
485 Stable for HPPA (bug #260006).
486
487 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
488 ruby-1.8.6_p287-r5.ebuild:
489 Stable on alpha, bug #260006
490
491*ruby-1.8.7_p72-r2 (23 Feb 2009)
492*ruby-1.8.6_p287-r12 (23 Feb 2009)
493*ruby-1.8.6_p287-r5 (23 Feb 2009)
494
495 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
496 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
497 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
498 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
499 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
500 now before compilation if Tk useflags don't match) and 230748 (adding
501 --enable-option-checking=no for newer versions of autoconf).
502
503 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
504 arm/ia64/s390/sh/sparc stable wrt #254307
505
506 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
507 ruby-1.8.6_p287-r4.ebuild:
508 Stable on alpha, bug #254307
509
510 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
511 ruby-1.8.6_p287-r11.ebuild:
512 keyword ~x86-fbsd, bug #252315
513
514 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
515 ppc stable #254307
516
517 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
518 amd64/x86 stable, bug #254307
519
520 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
521 stable ppc64, bug 254307
522
523 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
524 Stable for HPPA (bug #254307).
525
526 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
527 ruby-1.8.6_p287-r11.ebuild:
528 Marked ~hppa (bug #252315).
529
530*ruby-1.8.6_p287-r11 (11 Jan 2009)
531
532 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
533 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
534 +ruby-1.8.6_p287-r11.ebuild:
535 Backport conditional definition of missing openssl functions from ruby 1.8.7.
536 Fixes #254307.
537
538 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
539 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
540
541 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
542 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
543
544 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
545 ruby-1.8.6_p287-r10.ebuild:
546 Add ~sparc keyword, bug #252315
547
548*ruby-1.8.6_p287-r10 (23 Dec 2008)
549
550 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
551 +ruby-1.8.6_p287-r10.ebuild:
552 Version bump which switches from ruby-config to eselect-ruby. Dropped most
553 keywords since eselect-ruby does not yet have these keywords.
554
555 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
556 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
557 Revert the ruby-config changes. We can't remove them until we provide an
558 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
559 for breaking things as mentioned in bug #251833.
560
561 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
562 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
563 ruby-1.8.7_p72-r1.ebuild:
564 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
565 Thanks for the people noticing this in bug #251833.
566
567 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
568 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
569 ruby-1.8.7_p72-r1.ebuild:
570 Drop dependency on ruby-config, which will be removed from the tree. We
571 currently only have one major version of ruby in the tree (Ruby 1.8), so there
572 is no need for ruby-config at this moment. For newer versions of Ruby we will
573 use eselect-ruby, which can be found in the ruby overlay at the moment.
574
575 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
576 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
577 Use mirror://ruby in SRC_URI, fixes #237392.
578
579 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
580 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
581 -ruby-1.8.7_p72.ebuild:
582 Remove old versions. Leave one old stable version with cjk support.
583
584*ruby-1.8.6_p287-r3 (29 Nov 2008)
585
586 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
587 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
588 +ruby-1.8.6_p287-r3.ebuild:
589 Fix our expansion limit patch according to debian bug report
590 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
591 make sure people will pick up the fixed version. Thanks to Alex Legler for
592 mentioning the patch.
593
594*ruby-1.8.7_p72-r1 (26 Nov 2008)
595*ruby-1.8.6_p287-r2 (26 Nov 2008)
596
597 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
598 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
599 +ruby-1.8.7_p72-r1.ebuild:
600 Fix problem with shortname constants #247790, already fixed in upstream SVN.
601 Thanks to Alex Legler for providing the patch.
602
603 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
604 -ruby-1.8.6_p287.ebuild:
605 Remove versions that will not become stable
606
607 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
608 ruby-1.8.6_p287-r1.ebuild:
609 ppc stable, bug #225465
610
611 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
612 ruby-1.8.6_p287-r1.ebuild:
613 amd64 stable wrt security bug #225465
614
615 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
616 alpha/ia64/x86 stable wrt #225465
617
618 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
619 ruby-1.8.6_p287-r1.ebuild:
620 Sparc stable --- Security Bug #225465 --- good since late August.
621
622 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
623 Stable on ppc64; bug #225465
624
625 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
626 Stable for HPPA (bug #225465).
627
628*ruby-1.8.6_p287-r1 (29 Aug 2008)
629
630 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
631 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
632 +ruby-1.8.6_p287-r1.ebuild:
633 Fix REXML security issues, bug #236060.
634
635 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
636 Add GLEP 56 USE flag descriptions.
637
638*ruby-1.8.7_p72 (15 Aug 2008)
639
640 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
641 +ruby-1.8.7_p72.ebuild:
642 bump 1.8.7 to latest patch release
643
644*ruby-1.8.6_p287 (11 Aug 2008)
645
646 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
647 Version bump for brown paper bag relelease.
648
649 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
650 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
651 Remove broken version in favor of the just-added 1.8.6_p286
652
653*ruby-1.8.6_p286 (10 Aug 2008)
654
655 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
656 Version bump to latest released version of ruby 1.8.6. This version fixes the
657 security issues reported in #225465 and #234224. The cjk USE flag has been
658 dropped since no compatible patches have been released yet.
659
660 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
661 ruby-1.8.6_p230.ebuild:
662 drop cjk from SRC_URI as well
663
664 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
665 Drop cjk support since the most recent oniguruma patches no longer apply to
666 this version, #230111.
667
668 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
669 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
670 Try to fix the security issues reported in #225465 for ruby 1.8.6.
671 Unfortunately the official p230 has a change which causes segmentation faults
672 for applications like Rails and RSpec, so we are reverting that specific
673 change.
674
675*ruby-1.8.7_p22 (29 Jun 2008)
676
677 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
678 +ruby-1.8.7_p22.ebuild:
679 bump 1.8.7 for security fix
680
681 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
682 nevermind, don't bump this yet
683
684*ruby-1.8.6_p230 (20 Jun 2008)
685
686 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
687 version bump
688
689*ruby-1.8.7 (10 Jun 2008)
690
691 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
692 +ruby-1.8.7.ebuild:
693 bump 1.8.7 to final
694
695*ruby-1.8.7_pre2 (21 Apr 2008)
696
697 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
698 +ruby-1.8.7_pre2.ebuild:
699 Version Bump
700
701*ruby-1.8.7_pre1 (16 Apr 2008)
702
703 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
704 Version bump. Drop cjk until a new version of oniguruma appears.
705
706 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
707 amd64 stable, bug 212264
708
709 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
710 Stable for HPPA (bug #212264).
4 711
5 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org> 712 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
6 ruby-1.8.6_p114.ebuild: 713 ruby-1.8.6_p114.ebuild:
7 ppc stable, bug #212264 714 ppc stable, bug #212264
8 715

Legend:
Removed from v.1.330  
changed lines
  Added in v.1.481

  ViewVC Help
Powered by ViewVC 1.1.20